.side-nav{
    
    .nav-link{
        display: flex;
        align-items: center;
        position: relative;
        padding: .5rem calc(28px + 2rem - 24px - 1rem);
        color: var(--dark);
        border-radius: 0;
        
        &:hover, &.active{
            color: var(--mat-warn);
            
            &::after{
                content: '';
                position: absolute;
                top: .5rem;
                bottom: .5rem;
                right: 0;
                width: 3px;
                background-color: var(--mat-warn);
            }
        }
        &:not(.active) + * {
            &.collapse{
                display: none;
            }
        }
        &.active + * {
            &.collapse{
                display: block;
                border-bottom: 1px solid rgba(#000, .05);
                margin-bottom: 1rem; 
                // max-height: calc(70px + 6rem);
                // overflow: hidden;
                &:hover{
                    overflow-y: auto;
                }
            }
        }
        + * {
            .nav-link{
                padding: .5rem calc(28px + 2rem);
                font-weight: normal;
                font-size: 14px;
                line-height: 1;
                height: calc(14px + 1rem);
                &:hover{
                    color: var(--mat-primary);
                }
                &.active{
                    background-color: #f5f5f5;
                }
                &::after{
                    content: none;
                }
            }
        }
        
        .has-submenu{
            position: absolute;
            padding: 0 1.5rem;
            top: 0;
            right: 0;
            bottom: 0;
            
            display: flex;
            align-items: center;

            transition: .2s;
        }
        &.active{
            .has-submenu{
                transform: rotate(-0.25turn);
            }
        }
    }
}